im = imread('original.jpg');
if length(size(im))>2, im = rgb2gray(im); end
im = double(im)/255;
avgIm = mean(im(:)); stdIm = std(im(:));
im = (im-avgIm)./stdIm;
waves = importdata('GaborWavelets_cos_2.mat');
master = cell(size(waves));
for o = 1:size(waves,1)
    for s = 1:size(waves,2)
        psiI = conv2(im,imag(waves(o,s).GW),'same');
        psiR = conv2(im,real(waves(o,s).GW),'same');
        master{o,s} = sqrt(psiI .^ 2 + psiR .^ 2);
        f = figure(1);
        imagesc(master{o,s});
        %colormap(gray);
        colormap default;
        set(gca,'YTick',[],'XTick',[]);
        axis image;
        filename = sprintf('im_%d_%d.png',o,s);
        saveas(f,filename,'png');
        RemoveWhiteSpace([], 'file', filename);
    end
end
allgmp = sum(cat(3,master{:}),3);
imagesc(allgmp);
set(gca,'YTick',[],'XTick',[]);
axis image;
filename = 'im_sumall.png';
saveas(f,filename,'png');
RemoveWhiteSpace([], 'file', filename);